Activity log for bug #1513529

Date Who What changed Old value New value Message
2015-11-05 16:11:20 Scott Moser bug added bug
2015-11-05 16:11:53 Scott Moser summary cloud image built in /etc/apt/sources.list needs updating cloud image built-in /etc/apt/sources.list needs updating
2015-11-05 16:20:46 Ubuntu Foundations Team Bug Bot tags bot-comment
2015-11-05 16:33:23 Scott Moser ubuntu: status New Confirmed
2015-11-05 16:33:25 Scott Moser ubuntu: importance Undecided High
2015-11-05 16:33:31 Scott Moser ubuntu: assignee Ben Howard (utlemming)
2015-11-05 17:40:38 Scott Moser description When we were poking around under bug 1177432 we found that /etc/apt/sources.list that is built into the image does not match that of an installed system. This /etc/apt/sources.list is used if cloud-init did not re-write the file (such as woudl be used if you mounted the image directly and ran apt-get update). Example showing the problem: $ qemu-img create -f qcow2 -b wily/release-20151029/ubuntu-15.10-server-cloudimg-amd64-disk1.img /tmp/disk.img $ sudo mount-image-callback /tmp/disk.img --read-only chroot _MOUNTPOINT_ cat /etc/apt/sources.list deb http://archive.ubuntu.com/ubuntu/ wily main restricted universe multiverse deb http://archive.ubuntu.com/ubuntu/ wily-updates main restricted universe multiverse deb http://security.ubuntu.com/ubuntu/ wily-security main restricted universe multiverse What we'd like to see here is exactly what we just added to cloud-init. For reference, as attached to bug 1177432, see trusty [1] and wily [2] examples. -- [1] https://launchpadlibrarian.net/224142290/trusty-sources.list [2] https://launchpadlibrarian.net/224142308/wily-sources.list Related bugs: * bug 1177432 [SRU] Enable backports in cloud-init archive template When we were poking around under bug 1177432 we found that /etc/apt/sources.list that is built into the image does not match that of an installed system. This /etc/apt/sources.list is used if cloud-init did not re-write the file (such as woudl be used if you mounted the image directly and ran apt-get update). Example showing the problem: $ qemu-img create -f qcow2 -b wily/release-20151029/ubuntu-15.10-server-cloudimg-amd64-disk1.img /tmp/disk.img $ sudo mount-image-callback /tmp/disk.img --read-only chroot _MOUNTPOINT_ cat /etc/apt/sources.list deb http://archive.ubuntu.com/ubuntu/ wily main restricted universe multiverse deb http://archive.ubuntu.com/ubuntu/ wily-updates main restricted universe multiverse deb http://security.ubuntu.com/ubuntu/ wily-security main restricted universe multiverse What we'd like to see here is exactly what we just added to cloud-init. For reference, as attached to bug 1177432, see trusty [1] and wily [2] examples. For reference, MAAS installed systems end up getting the built-in /etc/apt/sources.list with the ubuntu mirrors updated. So this change after making it all the way through will result in maas images having the same list as ISO installed systems also. -- [1] https://launchpadlibrarian.net/224142290/trusty-sources.list [2] https://launchpadlibrarian.net/224142308/wily-sources.list Related bugs:  * bug 1177432 [SRU] Enable backports in cloud-init archive template
2015-11-09 19:44:39 Mathew Hodson affects ubuntu uec-live-build
2015-11-09 19:45:40 Mathew Hodson bug added subscriber Mathew Hodson
2015-11-12 03:44:59 Mathew Hodson removed subscriber Mathew Hodson
2016-03-17 22:49:11 Ben Howard uec-live-build: status Confirmed Fix Released
2016-04-20 15:35:30 Scott Moser uec-live-build: status Fix Released Confirmed
2016-04-20 15:35:30 Scott Moser uec-live-build: assignee Ben Howard (utlemming)
2016-04-20 15:36:17 Scott Moser bug task added livecd-rootfs (Ubuntu)
2016-04-20 15:37:54 Scott Moser livecd-rootfs (Ubuntu): status New Confirmed
2016-04-20 15:37:56 Scott Moser livecd-rootfs (Ubuntu): importance Undecided High
2016-04-20 16:43:11 Dan Watkins bug task added cloud-images
2016-04-20 16:43:23 Dan Watkins uec-live-build: status Confirmed Invalid
2016-04-20 16:43:30 Dan Watkins cloud-images: milestone y-2016-05-05
2016-04-25 15:03:50 Dan Watkins cloud-images: assignee Dan Watkins (daniel-thewatkins)
2016-04-25 15:04:01 Dan Watkins bug task deleted uec-live-build
2016-04-29 11:18:39 Dan Watkins summary cloud image built-in /etc/apt/sources.list needs updating cloud images should be built with the same /etc/apt/sources.list as server images
2016-04-29 11:18:45 Dan Watkins cloud-images: status New In Progress
2016-04-29 11:19:15 Dan Watkins livecd-rootfs (Ubuntu): assignee Dan Watkins (daniel-thewatkins)
2016-04-29 11:19:17 Dan Watkins livecd-rootfs (Ubuntu): status Confirmed In Progress
2016-05-09 14:06:09 Dan Watkins cloud-images: milestone y-2016-05-05 y-2016-05-19
2016-05-20 09:04:07 Dan Watkins cloud-images: milestone y-2016-05-19 y-2016-06-02
2016-05-20 11:29:22 Dan Watkins branch linked lp:~daniel-thewatkins/livecd-rootfs/enable-backports
2016-05-20 11:30:29 Dan Watkins tags bot-comment awaiting-canonical bot-comment
2016-06-07 14:24:44 Dan Watkins cloud-images: milestone y-2016-06-02 y-2016-06-16
2016-06-09 09:28:33 Dan Watkins livecd-rootfs (Ubuntu): status In Progress Fix Committed
2016-06-09 09:29:19 Dan Watkins livecd-rootfs (Ubuntu): status Fix Committed Fix Released
2016-06-09 13:28:46 Dan Watkins cloud-images: status In Progress Fix Released
2016-06-14 13:57:05 Andrew McDermott bug added subscriber Andrew McDermott
2016-11-21 20:16:31 Scott Moser nominated for series Ubuntu Xenial
2016-11-21 20:16:31 Scott Moser bug task added livecd-rootfs (Ubuntu Xenial)
2016-11-21 20:16:41 Scott Moser livecd-rootfs (Ubuntu Xenial): status New Confirmed
2016-11-21 20:16:44 Scott Moser livecd-rootfs (Ubuntu Xenial): importance Undecided Medium
2017-03-21 15:42:56 Launchpad Janitor branch linked lp:~ubuntu-core-dev/livecd-rootfs/xenial-proposed
2017-03-21 16:43:38 Dan Watkins description When we were poking around under bug 1177432 we found that /etc/apt/sources.list that is built into the image does not match that of an installed system. This /etc/apt/sources.list is used if cloud-init did not re-write the file (such as woudl be used if you mounted the image directly and ran apt-get update). Example showing the problem: $ qemu-img create -f qcow2 -b wily/release-20151029/ubuntu-15.10-server-cloudimg-amd64-disk1.img /tmp/disk.img $ sudo mount-image-callback /tmp/disk.img --read-only chroot _MOUNTPOINT_ cat /etc/apt/sources.list deb http://archive.ubuntu.com/ubuntu/ wily main restricted universe multiverse deb http://archive.ubuntu.com/ubuntu/ wily-updates main restricted universe multiverse deb http://security.ubuntu.com/ubuntu/ wily-security main restricted universe multiverse What we'd like to see here is exactly what we just added to cloud-init. For reference, as attached to bug 1177432, see trusty [1] and wily [2] examples. For reference, MAAS installed systems end up getting the built-in /etc/apt/sources.list with the ubuntu mirrors updated. So this change after making it all the way through will result in maas images having the same list as ISO installed systems also. -- [1] https://launchpadlibrarian.net/224142290/trusty-sources.list [2] https://launchpadlibrarian.net/224142308/wily-sources.list Related bugs:  * bug 1177432 [SRU] Enable backports in cloud-init archive template [Impact] In systems created from cloud images where cloud-init does not run (or has not yet run), /etc/apt/sources.list does not have the same contents as it has in a server install. This inconsistency can cause image modification/bootstrap to fail. [Test Case] Examine the cloud image built from livecd-rootfs, and confirm that the sources.list matches that in a server ISO install. [Regression Potential] Limited; the majority of cloud image usage does invoke cloud-init, which already writes out a source.list that matches the server ISO. This change aligns non-cloud-init usage to the existing norm. [Original Report] When we were poking around under bug 1177432 we found that /etc/apt/sources.list that is built into the image does not match that of an installed system. This /etc/apt/sources.list is used if cloud-init did not re-write the file (such as woudl be used if you mounted the image directly and ran apt-get update). Example showing the problem: $ qemu-img create -f qcow2 -b wily/release-20151029/ubuntu-15.10-server-cloudimg-amd64-disk1.img /tmp/disk.img $ sudo mount-image-callback /tmp/disk.img --read-only chroot _MOUNTPOINT_ cat /etc/apt/sources.list deb http://archive.ubuntu.com/ubuntu/ wily main restricted universe multiverse deb http://archive.ubuntu.com/ubuntu/ wily-updates main restricted universe multiverse deb http://security.ubuntu.com/ubuntu/ wily-security main restricted universe multiverse What we'd like to see here is exactly what we just added to cloud-init. For reference, as attached to bug 1177432, see trusty [1] and wily [2] examples. For reference, MAAS installed systems end up getting the built-in /etc/apt/sources.list with the ubuntu mirrors updated. So this change after making it all the way through will result in maas images having the same list as ISO installed systems also. -- [1] https://launchpadlibrarian.net/224142290/trusty-sources.list [2] https://launchpadlibrarian.net/224142308/wily-sources.list Related bugs:  * bug 1177432 [SRU] Enable backports in cloud-init archive template
2017-03-23 20:17:01 Brian Murray livecd-rootfs (Ubuntu Xenial): status Confirmed Fix Committed
2017-03-23 20:17:05 Brian Murray bug added subscriber Ubuntu Stable Release Updates Team
2017-03-23 20:17:08 Brian Murray bug added subscriber SRU Verification
2017-03-23 20:17:15 Brian Murray tags awaiting-canonical bot-comment awaiting-canonical bot-comment verification-needed
2017-03-28 13:48:18 Scott Moser attachment added check-backports: script to show if backports is enabled in builtin image. https://bugs.launchpad.net/ubuntu/+source/livecd-rootfs/+bug/1513529/+attachment/4848803/+files/check-backports.sh
2017-03-28 13:49:24 Scott Moser tags awaiting-canonical bot-comment verification-needed awaiting-canonical bot-comment verification-failed
2017-03-28 16:37:00 Dan Watkins tags awaiting-canonical bot-comment verification-failed awaiting-canonical bot-comment verification-done
2017-03-30 06:34:12 Launchpad Janitor livecd-rootfs (Ubuntu Xenial): status Fix Committed Fix Released
2017-03-30 06:34:25 Steve Langasek removed subscriber Ubuntu Stable Release Updates Team
2017-06-01 18:58:09 Robert C Jennings nominated for series Ubuntu Trusty
2017-06-01 18:59:00 Robert C Jennings branch linked lp:~rcj/livecd-rootfs/trusty-proposed_ubuntu-cpc
2017-06-01 19:22:59 Robert C Jennings branch unlinked lp:~rcj/livecd-rootfs/trusty-proposed_ubuntu-cpc
2019-05-18 03:52:13 Mathew Hodson bug task added livecd-rootfs (Ubuntu Trusty)
2019-05-18 03:53:42 Mathew Hodson livecd-rootfs (Ubuntu Trusty): importance Undecided High
2019-05-18 03:53:42 Mathew Hodson livecd-rootfs (Ubuntu Trusty): status New Fix Released
2019-05-18 03:55:47 Mathew Hodson livecd-rootfs (Ubuntu Trusty): importance High Medium
2019-05-18 03:57:05 Mathew Hodson tags awaiting-canonical bot-comment verification-done bot-comment verification-done